Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gdk-pixbuf
Version:	0.22.0
Release:	4
Provides:	%{name}
License:	GNU/GPL 
URL:		http://www.gnome.org/ 
Group:		Graphical Desktop/GNOME
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}-bmp_secure.patch
Patch1:		%{name}-%{version}-loaders.patch
Patch2:		%{name}-%{version}-aclocal.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	The GdkPixBuf image handling library.
BuildRequires:	libjpeg-devel libtiff-devel libpng-devel gtk+-devel libglib-devel

%description
The GdkPixBuf library provides a number of features, including :
- GdkPixbuf structure for representing images.
- Image loading facilities.
- Rendering of a GdkPixBuf into various formats:
  drawables (windows, pixmaps), GdkRGB buffers.
- Fast scaling and compositing of pixbufs.
- Simple animation loading (ie. animated gifs)
In addition, this module also provides a little libgnomecanvaspixbuf
library, which contains a GNOME Canvas item to display pixbufs with
full affine transformations.
For more details see: http://www.gnome.org/ 

%package devel
Summary:	%{name} development headers.
Group:		%{group}            
Requires:	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p0
%patch1 -p1
%patch2 -p1

%build
./configure --prefix=%_prefix \
--localstatedir=%_localstatedir \
--sysconfdir=%_sysconfdir \
--disable-gtk-doc
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
#find %{buildroot} -type f \
#-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir/*.so.*
%_libdir/%{name}/loaders/*.la
%_libdir/%{name}/loaders/*.so
%_datadir/gnome

%files devel
%defattr(-,root,root)
%_bindir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.sh
%_libdir/%{name}/loaders/*.a
%_datadir/aclocal
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Oct 08 2005 Christian Wasem <wasem@ccux-linux.de> 0.22.0-4
- added aclocal patch, removed wrong Obsolete Tag,
- moved some files to devel package
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.22.0-3
- Changed Optimization
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 0.22.0-2
- Rebuild, removed some Patches
* Tue Apr 21 2005 Christian Wasem <wasem@ccux-linux.de> 0.22.0-1
- Initial Release